# signal.h File Reference

`#include <ubixos/types.h>`

Include dependency graph for signal.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | __sigset

## Defines

#define | _SIG_BIT(sig) (1 << (_SIG_IDX(sig) & 31))
#define | _SIG_IDX(sig) ((sig) - 1)
#define | _SIG_MAXSIG 128
#define | _SIG_VALID(sig) ((sig) <= _SIG_MAXSIG && (sig) > 0)
#define | _SIG_WORD(sig) (_SIG_IDX(sig) >> 5)
#define | _SIG_WORDS 4
#define | _SIGNALL_H

## Typedefs

typedef __sigset | __sigset_t
typedef __sigset_t | sigset_t

## Define Documentation

#define _SIG_BIT | ( | sig |  | ) | (1 << (_SIG_IDX(sig) & 31))

Definition at line 39 of file signal.h.

#define _SIG_IDX | ( | sig |  | ) | ((sig) - 1)

Definition at line 37 of file signal.h.

#define _SIG_MAXSIG 128

Definition at line 36 of file signal.h.

#define _SIG_VALID | ( | sig |  | ) | ((sig) <= _SIG_MAXSIG && (sig) > 0)

Definition at line 40 of file signal.h.

#define _SIG_WORD | ( | sig |  | ) | (_SIG_IDX(sig) >> 5)

Definition at line 38 of file signal.h.

#define _SIG_WORDS 4

Definition at line 35 of file signal.h.

#define _SIGNALL_H

Definition at line 31 of file signal.h.

## Typedef Documentation

typedef struct __sigset __sigset_t

typedef __sigset_t sigset_t

Definition at line 46 of file signal.h.